# Natural Language Toolkit: strings_to_ints

 def preprocess(tagged_corpus):
     words = set()
     tags = set()
     for sent in tagged_corpus:
         for word, tag in sent:
             words.add(word)
             tags.add(tag)
     wm = dict((w,i) for (i,w) in enumerate(words))
     tm = dict((t,i) for (i,t) in enumerate(tags))
     return [[(wm[w], tm[t]) for (w,t) in sent] for sent in tagged_corpus]

